import { Compiler } from 'webpack';
export declare type IOpts = {
    cwd?: string;
    browserslistPath?: string;
    hashType?: string;
    customPrefix?: string;
    excludeCoreJsModules?: (string | RegExp)[];
    longTermCache?: boolean;
};
declare class AutoPolyfillsWebpackPlugin {
    static defaultBrowserslistPath: string;
    private opts;
    private targetHash;
    private strBeforeHash;
    private polyfillFilename;
    constructor(opts?: IOpts);
    apply(compiler: Compiler): void;
    getDirPolyfillsFiles(): string[];
    generatePolyfillEntry(): Promise<void>;
    getHashResult(content: string): string;
    get coreJsVersion(): any;
    get browserslistQuery(): string;
}
export default AutoPolyfillsWebpackPlugin;
